Subject: Re: [quicwg/base-drafts] IANA review of -transport; overall correctness (#4380)

From: Martin Thomson <[email-masked]>
Date: Tue, 08 Dec 2020 00:28:10 -0800

I've responded via email with a summary of the issue discussion.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4380#issuecomment-740466724

---

From: Martin Thomson <[email-masked]>
Date: Tue, 08 Dec 2020 15:30:06 -0800

Response:

On Tue, Dec 8, 2020, at 19:27, Martin Thomson wrote:
> I realize that I should have responded here earlier and apologize for 
> being tardy.
> 
> Responses to these are also to be found on GitHub, but I will include 
> all relevant information here.
> 
> Overall, the actions are correct.  Thanks for being so careful with this.
> 
> On Tue, Nov 17, 2020, at 06:45, Sabrina Tanamal via RT wrote:
> > IANA Question --> Regarding the detailed instructions in section 22.1 
> > of the current document, it's not clear to us what information should 
> > be captured in a note. Can you provide the notes that should be added 
> > to the top of each registry?
> 
> I don't think that any notes are appropriate here.  The RFC will 
> capture all the relevant information.  If you can include a section 
> reference (to S22.1) that would be enough, I think.
> 
> > Second, a new registry will be created on the registry page created 
> > above called the QUIC Transport Parameters registry. The new registry 
> > will be managed via the Specification Required policy as defined by 
> > RFC8126.
> > 
> > IANA will add a note to the registry indicating that: " each value of 
> > the format "31 * N + 27" for integer values of N (that is, 27, 58, 89, 
> > ...) are reserved."
> 
> Please don't.  I think that it is enough that the registry page cite 
> the RFC-to-be.
> 
> > IANA Question --> are those values to be marked as reserved in the new registry?
> 
> No.  The document will be updated to make this clear (you don't want 
> 2^57 entries in your tables anyway).
> 
> > IANA Question --> Section 22.1.2 says, "Use of the first codepoint in a range is
> > intended for use by specifications that are developed through the
> > standards process [STD] and its allocation MUST be negotiated with
> > IANA before use." 
> >    
> > What does "negotiation with IANA" mean? When there's an expert, 
> > normally this would be handled by an expert, but we understand that 
> > future documents might use this guidance but apply it to registries 
> > that have other registration procedures. Does this mean that if IESG 
> > Approval were being used, or a future registry that applied this 
> > guidance were to use a registration procedure like IETF Review, which 
> > requires only an IETF-stream RFC and does not require expert review, 
> > and the registration were being requested in an informational or 
> > experimental I-D, IANA would need to be aware of this requirement and 
> > refuse to register that codepoint? We really want to know what IANA has 
> > to know vs. what the other people such as the expert have to know.
> 
> This has been updated in the next version of the draft to require 
> Standards Action.  I suppose that this could be changed to also allow 
> IESG Review.
> 
> > Also, does this mean that codepoints can generally be used before 
> > they've been allocated?
> 
> Yes. That is the implication.  Though - as with all such things - it 
> comes with the usual instability risks associated with that.
> 
> > IANA Question --> Section 22.1.2 says, "Applications to register 
> > codepoints in QUIC registries MAY include a codepoint as part of the 
> > registration.  IANA MUST allocate the selected codepoint unless that 
> > codepoint is already assigned or the
> > codepoint is the first unallocated codepoint in the registry."
> > 
> > What if it's the first unallocated codepoint in a range, but not in the 
> > registry?
> 
> Hopefully the changes above clarify that: it would require that the 
> registration be made by Standards Action.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4380#issuecomment-741227026

---

From: Lars Eggert <[email-masked]>
Date: Thu, 10 Dec 2020 00:00:40 -0800

@martinthomson did IANA respond to your email? do they still have questions or is this resolved?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4380#issuecomment-742343349

---

From: Martin Thomson <[email-masked]>
Date: Thu, 10 Dec 2020 16:23:39 -0800

I didn't get a response.

I will ask.  At the same time I will point out that IANA need to revise their actions as we are adding a new error code.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4380#issuecomment-742884906

---

From: Magnus Westerlund <[email-masked]>
Date: Fri, 11 Dec 2020 01:10:20 -0800

>From my perspective, it might be simplest that you get -33 submitted and I will ping IANA that they should check the revisions as well as the new error code. 

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4380#issuecomment-743071246

---

From: Lars Eggert <[email-masked]>
Date: Fri, 11 Dec 2020 01:38:11 -0800

OK. In that case, I will close this issue now and if anything else pops up, we will open a new issue during IESG review.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4380#issuecomment-743087265

---

From: Lars Eggert <[email-masked]>
Date: Fri, 11 Dec 2020 01:38:14 -0800

Closed #4380.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4380#event-4099448789